/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_103
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object FilterChipTokens {
    val ContainerHeight = 32.0.dp
    val ContainerShape = ShapeKeyTokens.CornerSmall
    val ContainerSurfaceTintLayerColor = ColorSchemeKeyTokens.SurfaceTint
    val DisabledLabelTextColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledLabelTextOpacity = 0.38f
    val DraggedContainerElevation = ElevationTokens.Level4
    val ElevatedContainerElevation = ElevationTokens.Level1
    val ElevatedDisabledContainerColor = ColorSchemeKeyTokens.OnSurface
    val ElevatedDisabledContainerElevation = ElevationTokens.Level0
    const val ElevatedDisabledContainerOpacity = 0.12f
    val ElevatedFocusContainerElevation = ElevationTokens.Level1
    val ElevatedHoverContainerElevation = ElevationTokens.Level2
    val ElevatedPressedContainerElevation = ElevationTokens.Level1
    val ElevatedSelectedContainerColor = ColorSchemeKeyTokens.SecondaryContainer
    val ElevatedUnselectedContainerColor = ColorSchemeKeyTokens.Surface
    val FlatContainerElevation = ElevationTokens.Level0
    val FlatDisabledSelectedContainerColor = ColorSchemeKeyTokens.OnSurface
    const val FlatDisabledSelectedContainerOpacity = 0.12f
    val FlatDisabledUnselectedOutlineColor = ColorSchemeKeyTokens.OnSurface
    const val FlatDisabledUnselectedOutlineOpacity = 0.12f
    val FlatSelectedContainerColor = ColorSchemeKeyTokens.SecondaryContainer
    val FlatSelectedFocusContainerElevation = ElevationTokens.Level0
    val FlatSelectedHoverContainerElevation = ElevationTokens.Level1
    val FlatSelectedOutlineWidth = 0.0.dp
    val FlatSelectedPressedContainerElevation = ElevationTokens.Level0
    val FlatUnselectedFocusContainerElevation = ElevationTokens.Level0
    val FlatUnselectedFocusOutlineColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FlatUnselectedHoverContainerElevation = ElevationTokens.Level0
    val FlatUnselectedOutlineColor = ColorSchemeKeyTokens.Outline
    val FlatUnselectedOutlineWidth = 1.0.dp
    val FlatUnselectedPressedContainerElevation = ElevationTokens.Level0
    val LabelTextFont = TypographyKeyTokens.LabelLarge
    val SelectedDraggedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val UnselectedDraggedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val DisabledIconColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledIconOpacity = 0.38f
    val IconSize = 18.0.dp
    val SelectedDraggedIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedPressedIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val UnselectedDraggedIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
}